SystemBusCard (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.physpkg.SystemBusCard interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys.physpkg
Interface SystemBusCard

All Superinterfaces:
  Card, ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, PhysicalFrame, PhysicalPackage, java.io.Serializable

    public interface SystemBusCard

extends Card

Created by IntelliJ IDEA. User: viswanath Date: Aug 31, 2005 Time: 5:28:06 PM To change this template use File | Settings | File Templates.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.phys.physpkg.Card
`IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.phys.physpkg.Card
`getCardConfigurationState, hasCardConfigurationState, setCardConfigurationState`

Methods inherited from interface com.collation.platform.model.topology.phys.physpkg.PhysicalFrame
`getPhysicalPackage, hasPhysicalPackage, setPhysicalPackage`

Methods inherited from interface com.collation.platform.model.topology.phys.physpkg.PhysicalPackage
`getComputersystem, getFans, getFWRevision, getHWRevision, getManufacturer, getModel, getName, getOtherPhysicalPackages, getParent, getPhysicalComponents, getPhysicalConnectors, getPhysicalFrames, getPhysicalLinks, getPowerSupplys, getRelativePosition, getSensors, getSerialNumber, getSWRevision, getSystemBoardUUID, getType, getUserTracking, hasComputersystem, hasFans, hasFWRevision, hasHWRevision, hasManufacturer, hasModel, hasName, hasOtherPhysicalPackages, hasParent, hasPhysicalComponents, hasPhysicalConnectors, hasPhysicalFrames, hasPhysicalLinks, hasPowerSupplys, hasRelativePosition, hasSensors, hasSerialNumber, hasSWRevision, hasSystemBoardUUID, hasType, hasUserTracking, setComputersystem, setFans, setFWRevision, setHWRevision, setManufacturer, setModel, setName, setOtherPhysicalPackages, setParent, setPhysicalComponents, setPhysicalConnectors, setPhysicalFrames, setPhysicalLinks, setPowerSupplys, setRelativePosition, setSensors, setSerialNumber, setSWRevision, setSystemBoardUUID, setType, setUserTracking`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD